Players
These routes need an API key. Name a player with uuid or name.
player
Section titled “player”A player’s public profile: the same information the game shows other players.
GET /api/v2/?type=player&name=Example{ "uuid": "00000000-0000-0000-0000-000000000000", "username": "Example", "rank": { "id": 12, "title": "Sergeant" }, "clan": { "tag": "TAG", "name": "Example Brigade" }, "stats": {}, "class_exp": { "0": 1500, "1": 320 }}| Field | Description |
|---|---|
rank |
The player’s rank. |
clan |
The player’s brigade. Left out if they don’t have one. |
stats |
The stats shown on their in-game profile. |
class_exp |
Experience per class, by class id. |
player_matches
Section titled “player_matches”A player’s recent matches, newest first.
GET /api/v2/?type=player_matches&name=Example{ "uuid": "00000000-0000-0000-0000-000000000000", "matches": [ { "matchId": "00000000-0000-0000-0000-000000000000", "mode": "dom", "map": "Storm", "environment": "day", "endedAt": 1793380001526, "durationSeconds": 1015, "winnerTeam": "Allies", "team": "Allies", "result": "WIN", "placement": 3, "kills": 24, "deaths": 11, "assists": 6, "score": 340 } ]}endedAt is in milliseconds since the Unix epoch. Use matchId with the match route to get the full scoreboard.
